/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/FileOperationException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::FileOperationException;
using std::move;
using std::string;

FileOperationException::FileOperationException() : Exception("FileOperationException")
{}

FileOperationException::FileOperationException(const string &_message) : FileOperationException()
{
  this->_setMessage(_message);
}

FileOperationException::~FileOperationException() noexcept = default;

const char *FileOperationException::what() const noexcept
{
  return this->_getIdentifiedMessage("file operation failed!");
}
